options pagesize=3355 linesize=78 compress=binary nocenter;

libname OUT2 "C:\AHS_11\NATIONA_CINCH_2011\";

libname OUT "C:\AHS_2013\CINCH\";

******************************************************************************************;
ods HTML file="C:\AHS_2013\CINCH\RENT_DYNAMICS_11_09.XLS";

*********************************************************************************************;
DATA FORWARD_09_11; SET OUT2.FORWARD_09_11; 



/*   
Here are the new definitions of FLSTATUS .
FLSTATUS = Forward status = status of a 2009 unit in 2011 

1 = in 2009 stock and in 2011 stock: 
IF SAME=1 THEN FLSTATUS=1
2 = in 2009 stock but a loss in 2011 due to conversion or merger: 
IF INTLOSS=1 AND ((32 LE IN11_NOINT LE 33) OR (IN11_SAMEDU2='6' OR IN11_SAMEDU2='7' 
OR IN11_SAMEDU2='8')) THEN FLSTATUS=2

3 = in 2009 stock but a loss in 2011 due to house or mobile home move out: 
IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_SAMEDU2='4' OR (IN09_NUNIT2 = '4' 
AND IN11_SAMEDU2 = '5')) THEN FLSTATUS=3

4 = in 2009 stock but a loss in 2011 due to nonresidential use: 
IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4

5 = in 2009 stock but a loss in 2011 due to demolition or disaster:
IF INTLOSS=1 AND (IN11_NOINT=30 OR (1 LE IN09_NUNIT2 LE 3 AND (IN11_NOINT = 13 
OR IN11_SAMEDU2 = '5')) OR (IN09_NUNIT2 = 
'4' AND IN11_NOINT = 13)) THEN FLSTATUS=5 

6 = in 2009 stock but a loss in 2011 due to damage or condemnation:
IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6

7 = in 2009 stock but a loss in 2011 for other reason: 
IF INTLOSS=1 AND ((10 LE IN11_NOINT LE 11 AND IN11_SAMEDU2 NE '8') OR IN11_NOINT=17 
OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7

*/

*****************************************************************************************;


IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND ((32 LE IN11_NOINT LE 33) OR ( IN11_SAMEDU2='6' OR IN11_SAMEDU2='7' OR 
IN11_SAMEDU2='8')) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_SAMEDU2='4' OR (IN09_NUNIT2 = '4' AND IN11_SAMEDU2 = '5'))
THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND (IN11_NOINT=30 OR (1 LE IN09_NUNIT2 LE 3 AND (IN11_NOINT = 13 
OR IN11_SAMEDU2 = '5')) OR (IN09_NUNIT2 = '4' AND IN11_NOINT = 13))
THEN FLSTATUS=5; 

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND ((10 LE IN11_NOINT LE 11 AND IN11_SAMEDU2 NE '8') OR IN11_NOINT=17 OR 
(36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;



IF FLSTATUS=1 THEN FLSTATUS_C='1_in 2009 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 2009 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 2009 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 2009 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 2009 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 2009 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 2009 stock but a loss in 2011 for other reason                    ';
RUN;


/*

FLRENT = 2009 rent category 


1 = a non-market rental unit in 2009: 
IF IN09_OWNRENT='2' AND (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) THEN FLRENT=1 ;

2 = an extremely low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=1 THEN FLRENT=2 ;

3 = a very low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=2 THEN FLRENT=3 ;

4 = a low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=3 THEN FLRENT=4 ;

5 = a moderate-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=4 THEN FLRENT=5 ;

6 = a high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=5 THEN FLRENT=6 ;

7 = a very high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=6 THEN FLRENT=7 ;

8 = an extremely high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) 
AND IN09_COST08RELAMICAT=7 THEN FLRENT=8 ;

. = missing 


FLAFFORD = Forward rental affordability = affordability status in 2011 of 2009 rental unit 

1 = a non-market rental unit in 2011: 
IF IN11_OWNRENT='2' AND (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) THEN FLAFFORD=1 ;

2 = an extremely low-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =1 THEN FLAFFORD=2 ;

3 = a very low-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =2 THEN FLAFFORD=3 ;

4 = a low-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =3 THEN FLAFFORD=4 ;

5 = a moderate-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =4 THEN FLAFFORD=5 ;

6 = a high-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =5 THEN FLAFFORD=6 ;

7 = a very high-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =6 THEN FLAFFORD=7 ;

8 = an extremely high-rent rental unit in 2011: 
IF IN11_OWNRENT='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) 
AND IN11_COST08RELAMICAT =7 THEN FLAFFORD=8 ;

9 = an owner-occupied unit in 2011: 
IF (IN11_OWNRENT='1') THEN FLAFFORD=9;

10 = a vacant or seasonal unit in 2011: 
IF (IN11_VACANCY GE 6) OR (IN11_OWNRENT=. AND IN11_VACANCY LE 5) THEN FLAFFORD=10 ;

11 = a unit not in the 2011 stock: 
IF (10 LE IN11_NOINT) THEN FLAFFORD=11 ;

. = missing 
*/
*********************************************************************************;

DATA FORWARD_09_11; SET FORWARD_09_11; 

/*FLRENT = 2009 rent category*/
       

       IF IN09_OWNRENT_H='2' 
       AND (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) 
       THEN FLRENT=1;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) 
       AND IN09_COST08RELAMICAT_H=1 THEN FLRENT=2;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) 
       AND IN09_COST08RELAMICAT_H=2 THEN FLRENT=3;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1)
       AND IN09_COST08RELAMICAT_H=3 THEN FLRENT=4;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1)
       AND IN09_COST08RELAMICAT_H=4 THEN FLRENT=5;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1)
       AND IN09_COST08RELAMICAT_H=5 THEN FLRENT=6;

       IF IN09_OWNRENT_H='2' 
       AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1)
       AND IN09_COST08RELAMICAT_H=6 THEN FLRENT=7;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H=7 THEN FLRENT=8;



IF FLRENT=1 THEN FLRENT_C='1-a non-market rental unit in 2007          '; 
       
IF FLRENT=2 THEN FLRENT_C='2-an extremely low-rent rental unit in 2007 '; 
      
IF FLRENT=3 THEN FLRENT_C='3-a very low-rent rental unit in 2007       '; 
       
IF FLRENT=4 THEN FLRENT_C='4-a low-rent rental unit in 2007            '; 
      
IF FLRENT=5 THEN FLRENT_C='5-a moderate-rent rental unit in 2007       '; 
       
IF FLRENT=6 THEN FLRENT_C='6-a high-rent rental unit in 2007           '; 
       
IF FLRENT=7 THEN FLRENT_C='7-a very high-rent rental unit in 2007      '; 
       
IF FLRENT=8 THEN FLRENT_C='8-an extremely high-rent rental unit in 2007'; 
      
IF FLRENT=. THEN FLRENT_C='9-missing                                   ';


/*****FLAFFORD = Forward rental affordability = affordability status in 2011 of 2009 rental unit ***/

      IF IN11_OWNRENT_H='2' 
      AND (IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      THEN FLAFFORD=1;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =1 THEN FLAFFORD=2;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =2 THEN FLAFFORD=3;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =3 THEN FLAFFORD=4;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =4 THEN FLAFFORD=5;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =5 THEN FLAFFORD=6;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =6 THEN FLAFFORD=7;

      IF IN11_OWNRENT_H='2' 
      AND NOT(IN11_TENURE='3' OR IN11_ASSISTED_H=1 OR IN11_RENT=1) 
      AND IN11_COST08RELAMICAT_H =7 THEN FLAFFORD=8;

      IF (IN11_OWNRENT_H='1') THEN FLAFFORD=9;

      IF (IN11_VACANCY GE 6) OR (IN11_OWNRENT_H='.' 
      AND IN11_VACANCY LE 5) THEN FLAFFORD=10 ;

      IF (10 LE IN11_NOINT) THEN FLAFFORD=11 ; 

*************************************************************;


IF FLAFFORD=1 THEN FLAFFORD_C='1-a non-market rental unit in 2009           '; 
       
IF FLAFFORD=2 THEN FLAFFORD_C='2-an extremely low-rent rental unit in 2009  '; 
      
IF FLAFFORD=3 THEN FLAFFORD_C='3-a very low-rent rental unit in 2009        '; 
       
IF FLAFFORD=4 THEN FLAFFORD_C='4-a low-rent rental unit in 2009             '; 
      
IF FLAFFORD=5 THEN FLAFFORD_C='5-a moderate-rent rental unit in 2009        '; 
       
IF FLAFFORD=6 THEN FLAFFORD_C='6-a high-rent rental unit in 2009            '; 
       
IF FLAFFORD=7 THEN FLAFFORD_C='7-a very high-rent rental unit in 2009       '; 
       
IF FLAFFORD=8 THEN FLAFFORD_C='8-an extremely high-rent rental unit in 2009 '; 

IF FLAFFORD=9 THEN FLAFFORD_C='9-an owner-occupied unit in 2009             '; 

IF FLAFFORD=10 THEN FLAFFORD_C='91-a vacant or seasonal unit in 2009         '; 

IF FLAFFORD=11 THEN FLAFFORD_C='92-a unit not in the 2009 stock              '; 
      
IF FLAFFORD=.  THEN FLAFFORD_C='93-missing                                   ';

**************************************************************************************;
RUN;


/*DATA OUT.FORWARD_09_11; SET FORWARD_09_11; RUN;*/


DATA FORWARD_09_11; SET FORWARD_09_11;
KEEP CONTROL FLSTATUS FLRENT FLAFFORD  FLSTATUS_C FLRENT_C FLAFFORD_C
IN09_WGT90GEO IN11_WGT90GEO IN09_WEIGHT IN11_WEIGHT FLCINCHWT  
IN11_SAMEDU IN11_SAMEDU2 IN11_REUAD; RUN;


*************************************************************************;
/*BLSTATUS = Backward status = status of a 2011 unit in 2009

1 = in 2011 stock and in 2009 stock:

IF SAME=1 THEN BLSTATUS=1

2 = in 2011 stock but not in 2009 stock; added by conversion or merger:

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR (IN11_SAMEDU2=6 OR IN11_SAMEDU2=7 
OR IN11_SAMEDU2=8)) THEN BLSTATUS=2


3 = in 2011 stock but not in 2009 stock; added by house or mobile home move in:

IF INTADD=1 AND (IN09_NOINT=13 OR (4 LE IN11_REUAD LE 5) OR IN11_SAMEDU2 =5) 
THEN BLSTATUS=3


4 = in 2011 stock but not in 2009 stock; added from nonresidential use:

IF INTADD=1 AND ((IN09_NOINT=12 OR IN09_NOINT=14) OR IN11_REUAD=9) THEN BLSTATUS=4


5 = in 2011 stock but not in 2009 stock; added by new construction:

IF INTNC=1 THEN BLSTATUS=5


6 = in 2011 stock but not in 2009 stock; added from temporary losses in 2009 stock:

IF INTADD=1 AND ((15 LE IN09_NOINT LE 16) AND NOT(IN11_SAMEDU2=5 OR IN11_SAMEDU2=6 
OR IN11_SAMEDU2=7 OR IN11_SAMEDU2=8)) THEN BLSTATUS=6

 

7 = in 2011 stock but not in 2009 stock; added from other sources:

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN09_NOINT = 17) THEN BLSTATUS=7

*/


/***** BLSTATUS CODE *****/

DATA BACKWARD_11_09; SET OUT.BACKWARD_11_09; RUN;

DATA BACKWARD_11_09; SET BACKWARD_11_09;

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU2='6' OR IN11_SAMEDU2='7' OR IN11_SAMEDU2='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN09_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU2 ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN09_NOINT=12 OR IN09_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN09_NOINT LE 16) AND 
NOT(IN11_SAMEDU2='5' OR IN11_SAMEDU2='6' OR IN11_SAMEDU2='7' OR IN11_SAMEDU2='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN09_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2009 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2009 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2009 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2009 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2009 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2009 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2009 stock; added by other reason                 ';  


***************************************************************************************************************;
/*
BLRENT = Current year (2011) rent category 

1 = a non-market rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) THEN BLRENT=1 

2 = an extremely low-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =1 THEN BLRENT=2 


3 = a very low-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =2 THEN BLRENT=3 

4 = a low-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =3 THEN BLRENT=4 

5 = a moderate-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =4 THEN BLRENT=5 

6 = a high-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =5 THEN BLRENT=6 

7 = a very high-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =6 THEN BLRENT=7 

8 = an extremely high-rent rental unit in 2011: 
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT =7 THEN BLRENT=8 

. = missing 

*/
BLRENT=.;

IF IN11_OWNRENT_H='2' AND (IN11_TENURE='3' OR     IN11_Assisted_H=1 OR IN11_RENT=1) 				    THEN BLRENT=1 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =1 THEN BLRENT=2 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =2 THEN BLRENT=3 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =3 THEN BLRENT=4 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =4 THEN BLRENT=5 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =5 THEN BLRENT=6 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =6 THEN BLRENT=7 ;
IF IN11_OWNRENT_H='2' AND NOT (IN11_TENURE='3' OR IN11_Assisted_H=1 OR IN11_RENT=1) AND IN11_COST08RELAMICAT_H =7 THEN BLRENT=8 ;

IF BLRENT=. THEN BLRENT_C="9 - missing                                   ";
IF BLRENT=1 THEN BLRENT_C="1 - a non-market rental unit in 2011          ";
IF BLRENT=2 THEN BLRENT_C="2 - an extremely low-rent rental unit in 2011 ";
IF BLRENT=3 THEN BLRENT_C="3 - a very low-rent rental unit in 2011       ";
IF BLRENT=4 THEN BLRENT_C="4 - a low-rent rental unit in 2011            ";
IF BLRENT=5 THEN BLRENT_C="5 - a moderate-rent rental unit in 2011       ";
IF BLRENT=6 THEN BLRENT_C="6 - a high-rent rental unit in 2011           ";
IF BLRENT=7 THEN BLRENT_C="7 - a very high-rent rental unit in 2011      ";
IF BLRENT=8 THEN BLRENT_C="8 - an extremely high-rent rental unit in 2011";



/*
BLAFFORD = Backward rental affordability = affordability status in 2009 of a 2011 rental unit 

1 = a non-market rental unit in 2009: 
IF IN09_OWNRENT='2' AND (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) THEN BLAFFORD=1 

2 = an extremely low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=1 THEN BLAFFORD=2 

3 = a very low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=2 THEN BLAFFORD=3 

4 = a low-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=3 THEN BLAFFORD=4 

5 = a moderate-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=4 THEN BLAFFORD=5 

6 = a high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=5 THEN BLAFFORD=6 

7 = a very high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=6 THEN BLAFFORD=7 

8 = an extremely high-rent rental unit in 2009: 
IF IN09_OWNRENT='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT=7 THEN BLAFFORD=8 

9 = an owner-occupied unit in 2009: 
IF IN09_OWNRENT='1' THEN BLAFFORD=9 

10 = a vacant or seasonal unit in 2009: 
IF (IN09_VACANCY GE 6) OR (IN09_OWNRENT=. AND IN09_VACANCY LE 5) THEN BLAFFORD=10 

11 = a unit added by new construction: 
IF INTNC=1 THEN BLAFFORD=11 

12 = a unit not in the 2009 stock but not added through new construction: 
IF INTADD=1 THEN BLAFFORD=12 

. = missing 
*/

BLAFFORD=.;


IF IN09_OWNRENT_H='2' AND (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) 		                   THEN BLAFFORD=1 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=1 THEN BLAFFORD=2 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=2 THEN BLAFFORD=3 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=3 THEN BLAFFORD=4 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=4 THEN BLAFFORD=5 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=5 THEN BLAFFORD=6 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=6 THEN BLAFFORD=7 ;

IF IN09_OWNRENT_H='2' AND NOT (IN09_TENURE='3' OR IN09_Assisted_H=1 OR IN09_RENT=1) AND IN09_COST08RELAMICAT_H=7 THEN BLAFFORD=8 ;

IF IN09_OWNRENT_H='1'                                                                                        THEN BLAFFORD=9 ;

IF (IN09_VACANCY GE 6) OR (IN09_OWNRENT_H=. AND IN09_VACANCY LE 5)                                           THEN BLAFFORD=10 ;

IF INTNC=1                                                                                                 THEN BLAFFORD=11 ;

IF INTADD=1                                                                                                THEN BLAFFORD=12 ;



IF BLAFFORD=1  THEN BLAFFORD_C='1-a non-market rental unit in 2009                                    '; 
       
IF BLAFFORD=2  THEN BLAFFORD_C='2-an extremely low-rent rental unit in 2009                           '; 
      
IF BLAFFORD=3  THEN BLAFFORD_C='3-a very low-rent rental unit in 2009                                 '; 
       
IF BLAFFORD=4  THEN BLAFFORD_C='4-a low-rent rental unit in 2009                                      '; 
      
IF BLAFFORD=5  THEN BLAFFORD_C='5-a moderate-rent rental unit in 2009                                 '; 
       
IF BLAFFORD=6  THEN BLAFFORD_C='6-a high-rent rental unit in 2009                                     '; 
       
IF BLAFFORD=7  THEN BLAFFORD_C='7-a very high-rent rental unit in 2009                                '; 
       
IF BLAFFORD=8  THEN BLAFFORD_C='8-an extremely high-rent rental unit in 2009                          '; 

IF BLAFFORD=9  THEN BLAFFORD_C='9-an owner-occupied unit in 2009                                      '; 

IF BLAFFORD=10 THEN BLAFFORD_C='91-a vacant or seasonal unit in 2009                                  '; 

IF BLAFFORD=11 THEN BLAFFORD_C='92-a unit added by new construction                                   '; 

IF BLAFFORD=12 THEN BLAFFORD_C='93-a unit not in the 2009 stock but not added through new construction'; 
      
IF BLAFFORD=.  THEN BLAFFORD_C='94-missing                                                            ';

;RUN;

***************************************************************************************************;
DATA BACKWARD_11_09;SET BACKWARD_11_09;RUN;
*****************************************************************************;

DATA BACKWARD_11_09; SET BACKWARD_11_09;
KEEP CONTROL BLSTATUS BLRENT BLAFFORD  BLSTATUS_C BLRENT_C BLAFFORD_C
IN09_WGT90GEO IN11_WGT90GEO IN09_WEIGHT IN11_WEIGHT BLCINCHWT  
IN11_SAMEDU IN11_SAMEDU2 IN11_REUAD; RUN;

*****************************************************************************;


PROC SORT DATA=BACKWARD_11_09;BY CONTROL; RUN;
PROC SORT DATA=FORWARD_09_11;BY CONTROL; RUN;

DATA BOTH_FORWARD_BACKWARD_09_11;MERGE  FORWARD_09_11 (IN=ID9) BACKWARD_11_09
 (IN=ID11); BY CONTROL;
if ID9=1 then IN09_11_FORWARD=1; if ID11=1 then IN09_11_BACKWARD=1;run;

DATA OUT.CINCH_FORWARD_BACKWARD_09_11; SET BOTH_FORWARD_BACKWARD_09_11;
KEEP CONTROL  IN09_11_FORWARD IN09_11_BACKWARD FLSTATUS FLRENT FLAFFORD 
BLSTATUS BLRENT BLAFFORD FLSTATUS_C FLRENT_C FLAFFORD_C BLSTATUS_C BLRENT_C BLAFFORD_C
IN09_WGT90GEO IN11_WGT90GEO IN09_WEIGHT IN11_WEIGHT FLCINCHWT BLCINCHWT  
IN11_SAMEDU IN11_SAMEDU2 IN11_REUAD ; RUN;

********************************************************************************************;

DATA FORWARD_09_11;SET OUT.CINCH_FORWARD_BACKWARD_09_11; IF IN09_11_FORWARD=1; RUN;

TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLSTATUS FLSTATUS_C/MISSING; RUN;



TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT; RUN;


TITLE 'UNWEIGHTED FREQ DIST OF FLRENT & FLRENT_C IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLRENT  FLRENT_C/MISSING; RUN;



TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLRENT & FLRENT_C IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLRENT  FLRENT_C/MISSING;WEIGHT FLCINCHWT; RUN;


**************************************************************************************;

TITLE 'UNWEIGHTED FREQ DIST OF FLAFFORD & FLAFFORD_C IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLAFFORD  FLAFFORD_C/MISSING; RUN;



TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLAFFORD & FLAFFORD_C IN THE FORWARD_09_11'; RUN;
PROC FREQ DATA=FORWARD_09_11; TABLE FLAFFORD  FLAFFORD_C/MISSING;WEIGHT FLCINCHWT; RUN;

**************************************************************************************;


/*Please create FLRENT and FLAFFORD and using the forward-looking file, select 
FLRENT GE 1 and do an unweighted and weighted crosstab of FLRENT vs. FLAFFORD*/

DATA  FORWARD_09_11_SUB;SET  FORWARD_09_11;IF FLRENT GE 1;RUN;


TITLE 'UNWEIGHTED CROSS TAB OF FLRENT & FLAFFORD IN THE FORWARD_09_11
WHERE FLRENT GE 1'; RUN;
PROC FREQ DATA=FORWARD_09_11_SUB; TABLE FLRENT * FLAFFORD/MISSING  NOCOL NOROW NOPERCENT; RUN;


TITLE 'WEIGHTED (FLCINCHWT) CROSS TAB OF FLRENT & FLAFFORD IN THE FORWARD_09_11
 WHERE FLRENT GE 1'; RUN;

PROC FREQ DATA=FORWARD_09_11_SUB; TABLE FLRENT * FLAFFORD/MISSING NOCOL NOROW NOPERCENT;WEIGHT FLCINCHWT; RUN;


************************************************************************;

DATA BACKWARD_11_09; SET OUT.CINCH_FORWARD_BACKWARD_09_11;IF IN09_11_BACKWARD=1;run;

TITLE 'UNWEIGHTED FREQ DIST OF BLSTATUS FROM THE BACKWARD_11_09 FILE'; RUN;
PROC FREQ DATA=BACKWARD_11_09;TABLE BLSTATUS BLSTATUS_C BLRENT BLRENT_C BLAFFORD BLAFFORD_C/MISSING; RUN;

TITLE 'WEIGHTED (BLCINCHWT) FREQ DIST OF BLSTATUS FROM THE BACKWARD_11_09 FILE'; RUN;
PROC FREQ DATA=BACKWARD_11_09;TABLE BLSTATUS BLSTATUS_C BLRENT BLRENT_C BLAFFORD 
BLAFFORD_C/MISSING;WEIGHT BLCINCHWT; RUN;

********************************************************************************************;

TITLE 'UNWEIGHTED CROSS TAB OF BLRENT & BLAFFORD IN THE BACKWARD_11_09'; RUN;
PROC FREQ DATA=BACKWARD_11_09; TABLE BLRENT * BLAFFORD/MISSING  NOCOL NOROW NOPERCENT; RUN;


TITLE 'WEIGHTED (BLCINCHWT) CROSS TAB OF BLRENT & BLAFFORD IN THE BACKWARD_11_09'; RUN;
PROC FREQ DATA=BACKWARD_11_09; TABLE BLRENT * BLAFFORD/MISSING 
NOCOL NOROW NOPERCENT;WEIGHT BLCINCHWT; RUN;



**************************************************************************;
/*Please create BLRENT and BLAFFORD and using the BACKWARD-looking file, select 
BLRENT GE 1 and do an unweighted and weighted crosstab of BLRENT vs. BLAFFORD*/

*************************************************************************;

DATA BACKWARD_11_09_SUB;SET BACKWARD_11_09;IF BLRENT GE 1;RUN;


TITLE 'UNWEIGHTED CROSS TAB OF BLRENT & BLAFFORD IN THE BACKWARD_09_11
WHERE BLRENT GE 1'; RUN;
PROC FREQ DATA=BACKWARD_11_09_SUB; TABLE BLRENT * BLAFFORD/MISSING  NOCOL 
NOROW NOPERCENT; RUN;



TITLE 'WEIGHTED (BLCINCHWT) CROSS TAB OF BLRENT & BLAFFORD IN THE BACKWARD_09_11
 WHERE BLRENT GE 1'; RUN;
PROC FREQ DATA=BACKWARD_11_09_SUB; TABLE BLRENT * BLAFFORD/MISSING NOCOL 
NOROW NOPERCENT;WEIGHT BLCINCHWT; RUN;

*****************************************************************************;
